cURL
curl --request GET \
--url https://api.pulsy.app/v1/external/bridges/addresses \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pulsy.app/v1/external/bridges/addresses"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pulsy.app/v1/external/bridges/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pulsy.app/v1/external/bridges/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pulsy.app/v1/external/bridges/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pulsy.app/v1/external/bridges/addresses")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pulsy.app/v1/external/bridges/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"items": [
{
"bridgeKey": "<string>",
"chain": "<string>",
"address": "<string>",
"direction": "From",
"firstSeen": "2023-11-07T05:31:56Z",
"lastSeen": "2023-11-07T05:31:56Z",
"swapsCount": 123,
"usdVolume": 123
}
],
"nextCursor": "<string>",
"currentCursor": "<string>",
"hasNext": true,
"hasPrev": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {},
"errorCode": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errorCode": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"traceId": "<string>"
}API Reference
Get Bridge Addresses
Returns bridge addresses whose on-chain contracts XFlow tracks across supported chains.
GET
/
v1
/
external
/
bridges
/
addresses
cURL
curl --request GET \
--url https://api.pulsy.app/v1/external/bridges/addresses \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pulsy.app/v1/external/bridges/addresses"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pulsy.app/v1/external/bridges/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pulsy.app/v1/external/bridges/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pulsy.app/v1/external/bridges/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pulsy.app/v1/external/bridges/addresses")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pulsy.app/v1/external/bridges/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"items": [
{
"bridgeKey": "<string>",
"chain": "<string>",
"address": "<string>",
"direction": "From",
"firstSeen": "2023-11-07T05:31:56Z",
"lastSeen": "2023-11-07T05:31:56Z",
"swapsCount": 123,
"usdVolume": 123
}
],
"nextCursor": "<string>",
"currentCursor": "<string>",
"hasNext": true,
"hasPrev": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {},
"errorCode": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errorCode": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"traceId": "<string>"
}Authorizations
BasicBearer
Basic auth required for external APIs. Example: "Authorization: Basic {base64EncodedPasswordString}"
Query Parameters
Bridge key(s). Default is every bridge. Maximum 5 bridges allowed simultaneously.
Maximum array length:
5Chain key(s). Default is every chain. Maximum 5 chains allowed simultaneously.
Maximum array length:
5Number of swaps received per request. Default is 100. Should be in [10..100].
Required range:
10 <= x <= 100Cursor for pagination.
Maximum string length:
1000Direction for pagination. Default is Next.
Available options:
First, Next, Prev